Bug 135655 - FILESAVE DOCX OLE object background not exported
Summary: FILESAVE DOCX OLE object background not exported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2020-08-12 09:44 UTC by NISZ LibreOffice Team
Modified: 2020-09-03 06:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the problem in Writer (manually set value) and Word (after opening the exported file) (81.20 KB, image/png)
2020-08-12 09:44 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-12 09:44:10 UTC
Created attachment 164186 [details]
Screenshot of the problem in Writer (manually set value) and Word (after opening the exported file)

When setting background color for OLE object in Writer in an existing Word-made DOCX file, the color is not saved correctly to DOCX format: it becomes always white.
This is problematic in case of roundtripping files that were set to “tight fit” : it depends on no color fill being set, otherwise it behaves just like “square” / parallel wrap.

Steps to reproduce:
    1. Open attachment 164180 [details] from bug #135653
    2. In the contextual menu of the first OLE object select Properties
    3. In the Area – Color tab set a non-white color
    4. Save as DOCX and open the file in Word

Actual results:
First OLE object has white background color instead of the manually set purple. The second object had no background fill set in Writer (nor originally in Word), yet that has white background exported too.

Expected results:
Color fill exported correctly.
(In Word it’s possible to set gradient fill, bitmap fill and hatching too, but those could be topics for another day).

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

(nightly from 08-10)
Comment 1 Xisco Faulí 2020-08-12 09:56:37 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: df37937018fe8e87dad5dd97689632044ba56de3
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Commit Notification 2020-09-02 06:42:48 UTC
Attila Bakos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6bdf4ee8368fdc0bb20a82c250038b371b37f27d

tdf#135655 OOXML export: Fix OLE background color

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.